Holger's Java API

## com.antelmann.db
Interface MutableCategory<T>

All Superinterfaces:
  Category<T>

All Known Implementing Classes:
  MutableCategory.Adapter, MutableCategory.Entry

    public interface MutableCategory<T>

extends Category<T>

an extension of a category that allows to set its parent category

Since:
  01.08.2013, 19:48:35
Author:
  holger

Nested Class Summary
`static class` `MutableCategory.Adapter<T>`
`static class` `MutableCategory.Entry`

Method Summary
`MutableCategory<T>` `getParentCategory()` returns the super category that this category belongs to - or null if it is a top-level category
`List<? extends MutableCategory<T>>` `getSubCategories(T context)` retrieves a list of sub-categories for this category
`void` `setParentCategory(MutableCategory<T> parent)`

Methods inherited from interface com.antelmann.db.Category
`getCategoryName`

Method Detail

### setParentCategory

    void setParentCategory(MutableCategory<T> parent)
                           throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getParentCategory

    MutableCategory<T> getParentCategory()

  Description copied from interface: `Category`
  returns the super category that this category belongs to - or null if it is a top-level category

  Specified by:
    `getParentCategory` in interface `Category<T>`

### getSubCategories

    List<? extends MutableCategory<T>> getSubCategories(T context)
                                                        throws IOException

  Description copied from interface: `Category`
  retrieves a list of sub-categories for this category

  Specified by:
    `getSubCategories` in interface `Category<T>`
  Parameters:
    `context` - the object (typically a database, a file, a URL, etc.) that provides the information required to derive the children from.
  Returns:
    a list of Category objects that have this instance as a parent
  Throws:
    `IOException` - if the categories could not be retrieved

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads